summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2021-01-16 12:49:30 +0100
committerLars Wendler <polynomial-c@gentoo.org>2021-01-16 12:53:14 +0100
commite7a55ed2f39bad19b65fb0515906a753e4b4d06c (patch)
treec013e480011f6c32cfc8c4c8500bf700cbb98cb3 /media-plugins/hdx-realtime-media-engine
parentnet-misc/icaclient: Revbump fixing some dependencies (diff)
downloadgentoo-e7a55ed2f39bad19b65fb0515906a753e4b4d06c.tar.gz
gentoo-e7a55ed2f39bad19b65fb0515906a753e4b4d06c.tar.bz2
gentoo-e7a55ed2f39bad19b65fb0515906a753e4b4d06c.zip
media-plugins/hdx-realtime-media-engine: Revbump fixing several issues
- REALLY install all necessary files - install HDXRTME.so to the correct location - Register plugin with Citrix receiver Bug: https://bugs.gentoo.org/755407 Package-Manager: Portage-3.0.13, Repoman-3.0.2 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'media-plugins/hdx-realtime-media-engine')
-rw-r--r--media-plugins/hdx-realtime-media-engine/hdx-realtime-media-engine-2.9.200.2506-r1.ebuild (renamed from media-plugins/hdx-realtime-media-engine/hdx-realtime-media-engine-2.9.200.2506.ebuild)20
1 files changed, 18 insertions, 2 deletions
diff --git a/media-plugins/hdx-realtime-media-engine/hdx-realtime-media-engine-2.9.200.2506.ebuild b/media-plugins/hdx-realtime-media-engine/hdx-realtime-media-engine-2.9.200.2506-r1.ebuild
index e2136acf137..54b8d730059 100644
--- a/media-plugins/hdx-realtime-media-engine/hdx-realtime-media-engine-2.9.200.2506.ebuild
+++ b/media-plugins/hdx-realtime-media-engine/hdx-realtime-media-engine-2.9.200.2506-r1.ebuild
@@ -20,7 +20,7 @@ RESTRICT="fetch mirror strip"
DEPEND="app-arch/unzip"
RDEPEND="
- net-misc/icaclient
+ >=net-misc/icaclient-20.12.0.12-r1
|| (
media-sound/pulseaudio
media-sound/apulse
@@ -66,7 +66,6 @@ src_install() {
local destfiles=(
DialTone_US.wav
EULA.rtf
- HDXRTME.so
InboundCallRing.wav
)
@@ -74,8 +73,25 @@ src_install() {
for el in "${destfiles[@]}" ; do
doins "${el}"
done
+
+ exeinto "${ICAROOT}"/rtme
+ doexe RTMEconfig RTMediaEngineSRV
+
for el in /var/{lib,log}/RTMediaEngineSRV /var/lib/Citrix/HDXRMEP ; do
keepdir ${el}
fperms a+rw ${el}
done
+
+ insinto "${ICAROOT}"
+ doins HDXRTME.so
+}
+
+pkg_postinst() {
+ ebegin "add info about our plugin to the module.ini of the Citrix receiver"
+ local inifile="${BROOT}${ICAROOT}/config/module.ini"
+ if cp "${inifile}" . ; then
+ "${BROOT}${ICAROOT}"/rtme/RTMEconfig -install -ignoremm \
+ && cp new_module.ini "${inifile}"
+ fi
+ eend $?
}